MaillyDocs

Suppress a contact (adds a workspace suppression)

POST
/contacts/{externalContactId}/suppress

Authorization

bearerAuth
headerAuthorizationBearer <token>

Mailly API key(Authorization: Bearer )

Path Parameters

externalContactId*string

Stable key of the external contact

Request Body

application/json
  1. body
reason?string
Value in"unsubscribed""hard_bounce""complaint""manual"
source?string
[key: string]?unknown

Response Body

Suppressed

application/json
  1. response
success*boolean
suppressionId*string
contact*
[key: string]?unknown
curl -X POST 'https://api.mailly.site/contacts/string/suppress' \  -H 'Content-Type: application/json' \  -d '{  "property1": null,  "property2": null}'
{  "success": true,  "suppressionId": "string",  "contact": {    "property1": null,    "property2": null  },  "property1": null,  "property2": null}